Bug 464404 - Incomplete connection information for GPRS connection
Incomplete connection information for GPRS connection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-28 04:41 EDT by Daniel Qarras
Modified: 2012-06-18 09:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 09:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2008-09-28 04:41:28 EDT
Description of problem:
Not really a problem but a minor feature proposal:

When connected with GPRS and selecting "Connection Information" from nm-applet, these fields show the following, incomplete information:

Hardware Address: <empty>
Speed: unknown
Security: unknown

If possible, perhaps those fields could be populated with real information? Thanks.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.11.svn4022.fc9.i386
Comment 1 Dan Williams 2008-10-19 22:56:31 EDT
Yeah, they should get populated, but that probably won't be able to happen until after 0.7 when we can use ModemManager to get better information out of the card.
Comment 2 Bug Zapper 2008-11-25 22:15:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jessica Sterling 2009-03-08 16:47:25 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Daniel Qarras 2009-04-03 11:15:54 EDT
This minor issue is still present in F11ß (as expected, just adjusting the version correctly here).
Comment 5 Daniel Qarras 2009-12-04 15:13:52 EST
This minor issue is still present in F12 (as probably expected).
Comment 6 Daniel Qarras 2010-04-23 15:21:43 EDT
This minor issue is still present also with the latest ModemManager. I connected my phone to my laptop with a USB cable and Connection Information says:

Interface: GSM (ttyACM0)
Hardware Address:
Driver: cdc_acm
Speed: Unknown
Security: Unknown

My phone showed perfect network connectivity (all 6 bars) but NM showed only 2 out of 4 bars. Also, my phone showed that it was connected using Edge (not the plain old GSM), not sure should this have been reported.

All in all, this is very minor issue but I'm just reporting. Please free to handle this report as you like.
Comment 7 Dan Winship 2012-05-08 09:05:42 EDT
still a problem?
Comment 8 Daniel Qarras 2012-06-17 12:15:23 EDT
I think this bug can be closed, no such empty field with F17/GNOME3 anymore (information is not there but seems like it's unavailable for all connection types also). Thanks.
Comment 9 Dan Winship 2012-06-18 09:16:42 EDT
ok, closing then

Note You need to log in before you can comment on or make changes to this bug.